export

## NOTE
## Make sure to have each variable declaration start
## in the first column, no whitespace allowed.

ifeq ($(wildcard $(KLIB_BUILD)/.config),)
# These will be ignored by compat autoconf
 CONFIG_PCI=y
 CONFIG_USB=y
 CONFIG_PCMCIA=y
else
include $(KLIB_BUILD)/.config
endif

ifeq ($(CONFIG_SOUND),y)
$(error "ERROR: you have sound compiled into the kernel, CONFIG_SOUND=y, as such you cannot replace its sound driver. You need this set to be CONFIG_SOUND=m")
endif

ifeq ($(CONFIG_SND),y)
$(error "ERROR: you have sound compiled into the kernel, CONFIG_SND=y, as such you cannot replace its sound driver. You need this set to be CONFIG_SND=m")
endif

ifeq ($(shell test -e $(KLIB_BUILD)/Makefile && echo yes),yes)
KERNEL_SUBLEVEL = $(shell $(MAKE) -C $(KLIB_BUILD) kernelversion | sed -n 's/^2\.6\.\([0-9]\+\).*/\1/p')

ifeq ($(shell test $(KERNEL_SUBLEVEL) -lt 28 && echo yes),yes)
$(error "ERROR: compat-sound requires >= 2.6.28")
endif

ifneq ($(KERNELRELEASE),) # This prevents a warning

endif # build check
endif # kernel Makefile check

# Sound subsystem stuff
CONFIG_SOUND=m
CONFIG_SND=m

CONFIG_SND_HWDEP=m
CONFIG_SND_TIMER=m

CONFIG_SND_PCM=m
CONFIG_SND_PCMCIA=y
CONFIG_SND_PCM_OSS=m
CONFIG_SND_PCM_OSS_PLUGINS=y

CONFIG_SND_RAWMIDI=m

CONFIG_SND_OSSEMUL=y

CONFIG_SND_SEQUENCER=m
CONFIG_SND_SEQUENCER_OSS=y

# PCI Drivers
ifneq ($(CONFIG_PCI),)

CONFIG_SND_HDA_INTEL=m
CONFIG_SND_HDA_GENERIC=y
# CONFIG_SND_HDA_HWDEP=y
# CONFIG_SND_HDA_INPUT_BEEP=y
CONFIG_SND_HDA_CODEC_ANALOG=y
CONFIG_SND_HDA_CODEC_ATIHDMI=y
CONFIG_SND_HDA_CODEC_CMEDIA=y
CONFIG_SND_HDA_CODEC_CONEXANT=y
CONFIG_SND_HDA_CODEC_INTELHDMI=y
CONFIG_SND_HDA_CODEC_NVHDMI=y
CONFIG_SND_HDA_CODEC_REALTEK=y
CONFIG_SND_HDA_CODEC_SI3054=y
CONFIG_SND_HDA_CODEC_SIGMATEL=y
CONFIG_SND_HDA_CODEC_VIA=y


endif # PCI drivers
